%global pkg_name X11

%global common_summary Haskell %{pkg_name} library

%global common_description The library consists of bindings to direct translations of the C bindings; for\
documentation of these calls, refer to "The Xlib Programming\
Manual", available online at <http://tronche.com/gui/x/xlib/>.

%global ghc_pkg_c_deps libXinerama-devel, libX11-devel, libXext-devel

Name:           ghc-%{pkg_name}
Version:        1.5.0.0
Release:        12%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}
BuildRequires:  ghc-syb-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_lib_package


%changelog
* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 1.5.0.0-12
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.5.0.0-11
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 1.5.0.0-9
- Update to cabal2spec-0.22.4
- Rebuild

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-8
- rebuild

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-7
- new syb dependency needed for ghc7
- drop -o obsoletes

* Sun Nov 07 2010 Ben Boeckel <mathstuf@gmail.com> - 1.5.0.0-6
- Rebuild

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-5
- update to ghc-rpm-macros-0.8.1, hscolour and drop doc pkg (cabal2spec-0.22.2)

* Wed Jun 23 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-4
- use ghc_strip_dynlinked (ghc-rpm-macros-0.6.0)

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-3
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-2
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common summary and common_description
- use ghc_lib_package and ghc_pkg_c_deps

* Wed Dec 23 2009 Jens Petersen <petersen@redhat.com>
- update base Group and devel Summary

* Mon Dec 21 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 1.5.0.0-1
- updated to latest upstream
- updates spec to use shared libraries and new ghc

* Thu Oct 29 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 1.4.6.1-1
- update to latest upstream

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 16 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-11
- buildrequires ghc-rpm-macros (cabal2spec-0.16)

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-10
- ghc_version is now in macros.ghc

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-9
- try defining ghc_version with global

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-8
- define ghc_version correctly

* Mon Apr 20 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-7
- rebuild with ghc-6.10.2
- update to latest cabal2spec template and macros.ghc
  - pkg_libdir and pkg_docdir moved to macros.ghc
  - drop ghc_version from buildrequires
  - fix prof configure
  - add doc filelist
  - get ghc_version from ghc

* Sat Apr  4 2009 Yaakov M. Nemoy <yankee@localhost.localdomain> - 1.4.5-6
- rebuild bump to raise EVR manually, to match with F-10 branch

* Sun Mar  8 2009 Yaakov M. Nemoy <yankee@localhost.localdomain> - 1.4.5-5
- corrected a faulty tag

* Sun Mar  8 2009 Yaakov M. Nemoy <yankee@localhost.localdomain> - 1.4.5-4
- forgot to include the right arch tags

* Sat Feb 28 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-3
- sync with cabal2spec-0.12:
- improve requires

* Mon Feb 23 2009 Yaakov M. Nemoy <loupgaroublond@gmail.com> - 1.4.5-2
- updated template to new guidelines

* Mon Jan  5 2009 Yaakov M. Nemoy <loupgaroublond@gmail.com> - 1.4.5-1
- initial packaging for Fedora created by cabal2spec
- added description and build requires
- altered license from template
